<Alte::Card @type="primary" as |card|>
  <card.header @title="Chiffres clés" @titleIcon="list" />
  <card.content>
    <Alte::Card::Body>
      <div class="d-flex justify-content-between align-items-center border-bottom mb-3">
        <p class="text-xl">
          <FaIcon @icon="piggy-bank" />
        </p>
        <p class="d-flex flex-column text-right">
          <span class="text-muted">Investi</span>
          <span class="font-weight-bold">
            {{#if @simulationRunner.isRunning}}
              <ContentLoader::Text100 />
            {{else}}
              {{#if @simulationRunner.result.invested}}
                {{format-money @simulationRunner.result.invested}}
                en
                {{@simulationRunner.result.getBuyingEventsNumber}}
                {{t (concat "enums.crypto-saving-frequency.unit." @simulationRunner.parameters.frequency)}}
              {{else}}
                &#8212;
              {{/if}}
            {{/if}}
          </span>
        </p>
      </div>
      <div class="d-flex justify-content-between align-items-center border-bottom mb-3">
        <p class="text-xl">
          <FaIcon @icon="coins" />
        </p>
        <p class="d-flex flex-column text-right">
          <span class="text-muted">Acquis</span>
          <span class="font-weight-bold">
            {{#if @simulationRunner.isRunning}}
              <ContentLoader::Text100 />
            {{else}}
              {{#if @simulationRunner.result.accumulated}}
                {{format-money @simulationRunner.result.accumulated}}
              {{else}}
                &#8212;
              {{/if}}
            {{/if}}
          </span>
        </p>
      </div>
      <div class="d-flex justify-content-between align-items-center border-bottom mb-3">
        <p class="text-xl">
          <FaIcon @icon="coin" />
        </p>
        <p class="d-flex flex-column text-right">
          <span class="text-muted">Prix moyen d'acquisition</span>
          <span class="font-weight-bold">
            {{#if @simulationRunner.isRunning}}
              <ContentLoader::Text100 />
            {{else}}
              {{#if @simulationRunner.result.averageBuyingPrice}}
                {{#if (lt @simulationRunner.result.averageBuyingPriceAmount "0.10")}}
                  {{format-money @simulationRunner.result.averageBuyingPrice fractionDigits=4}}
                {{else}}
                  {{format-money @simulationRunner.result.averageBuyingPrice}}
                {{/if}}
              {{else}}
                &#8212;
              {{/if}}
            {{/if}}
          </span>
        </p>
      </div>
      <div class="d-flex justify-content-between align-items-center border-bottom mb-3">
        <p class="text-xl">
          <FaIcon @icon="sack-dollar" />
        </p>
        <p class="d-flex flex-column text-right">
          <span class="text-muted">Capital final</span>
          <span class="font-weight-bold">
            {{#if @simulationRunner.isRunning}}
              <ContentLoader::Text100 />
            {{else}}
              {{#if @simulationRunner.result.total}}
                {{format-money @simulationRunner.result.total}}
              {{else}}
                &#8212;
              {{/if}}
            {{/if}}
          </span>
        </p>
      </div>
      <div class="d-flex justify-content-between align-items-center mb-0">
        <p class="text-xl">
          <FaIcon @icon="percentage" />
        </p>
        <p class="d-flex flex-column text-right">
          <span class="text-muted">Performance</span>
          {{#if @simulationRunner.isRunning}}
            <span class="font-weight-bold">
              <ContentLoader::Text100 />
            </span>
          {{else}}
            {{#if @simulationRunner.result.performance}}
              <span
                class="font-weight-bold {{if (gt @simulationRunner.result.performance 0) 'text-success' 'text-danger'}}"
              >
                {{format-number @simulationRunner.result.performance style="percent" minimumFractionDigits=2}}
              </span>
            {{else}}
              <span class="font-weight-bold">
                &#8212;
              </span>
            {{/if}}
          {{/if}}
        </p>
      </div>
    </Alte::Card::Body>
  </card.content>
</Alte::Card>